Summary:	Totem Playlist Parser library
Summary(pl.UTF-8):	Biblioteka analizująca listy odtwarzania Totema
Name:		totem-pl-parser
Version:	3.26.4
Release:	1
License:	LGPL v2+
Group:		X11/Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/totem-pl-parser/3.26/%{name}-%{version}.tar.xz
# Source0-md5:	70fc2731fd2c7876bf1ba81e7918a0b5
URL:		http://www.gnome.org/projects/totem/
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.36.0
BuildRequires:	gobject-introspection-devel >= 0.9.7
BuildRequires:	gtk-doc >= 1.24
BuildRequires:	libarchive-devel >= 3.0
BuildRequires:	libgcrypt-devel
BuildRequires:	libquvi-devel >= 0.9.1
BuildRequires:	libsoup-devel >= 2.43.0
BuildRequires:	libxml2-devel >= 1:2.6.31
BuildRequires:	meson >= 0.40.1
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.733
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	glib2 >= 1:2.36.0
Requires:	libquvi >= 0.9.1
Requires:	libsoup >= 2.43.0
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%undefine	__cxx

%description
A library to parse and save playlists, as used in music and movie
players.

%description -l pl.UTF-8
Biblioteka do analizy i zapisu list odtwarzania (playlist) używanych
przez odtwarzacze muzyki i filmów.

%package devel
Summary:	Header files for totem-pl-parser library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki totem-pl-parser
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.36.0
Requires:	libarchive-devel >= 3.0
Requires:	libgcrypt-devel
Requires:	libxml2-devel >= 1:2.6.31

%description devel
Header files for totem-pl-parser library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki totem-pl-parser.

%package static
Summary:	Static totem-pl-parser library
Summary(pl.UTF-8):	Statyczna biblioteka totem-pl-parser
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static totem-pl-parser library.

%description static -l pl.UTF-8
Statyczna biblioteka totem-pl-parser.

%package apidocs
Summary:	totem-pl-parser library API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki totem-pl-parser
Group:		Documentation
Requires:	gtk-doc-common
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
totem-pl-parser library API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki totem-pl-parser.

%prep
%setup -q

%build
%meson build \
	-Denable-gtk-doc=true

%meson_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%meson_install -C build

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%attr(755,root,root) %{_libdir}/libtotem-plparser-mini.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libtotem-plparser-mini.so.18
%attr(755,root,root) %{_libdir}/libtotem-plparser.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libtotem-plparser.so.18
%{_libdir}/girepository-1.0/TotemPlParser-1.0.typelib
%dir %{_libexecdir}/totem-pl-parser
%attr(755,root,root) %{_libexecdir}/totem-pl-parser/99-totem-pl-parser-videosite

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libtotem-plparser-mini.so
%attr(755,root,root) %{_libdir}/libtotem-plparser.so
%{_includedir}/totem-pl-parser
%{_pkgconfigdir}/totem-plparser-mini.pc
%{_pkgconfigdir}/totem-plparser.pc
%{_datadir}/gir-1.0/TotemPlParser-1.0.gir

%files static
%defattr(644,root,root,755)
%{_libdir}/libtotem-plparser-mini.a
%{_libdir}/libtotem-plparser.a

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/totem-pl-parser
%changelog
* Thu Nov 14 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/totem-pl-parser.git;a=log;h=master

* Thu Nov 14 2019 Jakub Bogusz <qboosh@pld-linux.org> ecb8259
- updated to 3.26.4

* Fri Apr 12 2019 Jakub Bogusz <qboosh@pld-linux.org> 7d0ca7e
- updated to 2.26.3

* Sat Jan 26 2019 Jakub Bogusz <qboosh@pld-linux.org> 3c44c65
- updated to 3.26.2

* Fri Nov 09 2018 Jakub Bogusz <qboosh@pld-linux.org> 9f8d9fd
- updated dependencies; with macros 1.733+ -static is built again; release 2

* Tue Jun 19 2018 Marcin Banasiak <marcin.banasiak@gmail.com> 5f120b4
- Update to 3.26.1

* Thu Sep 14 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 07f9952
- Update to 3.26.0

* Fri Jun 23 2017 Jakub Bogusz <qboosh@pld-linux.org> 5a121a6
- versioned glib2 dependency

* Fri Jun 23 2017 Jakub Bogusz <qboosh@pld-linux.org> 00d8869
- updated to 3.10.8; switched to gmime3

* Wed Sep 21 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 5ff168b
- Update to 3.10.7

* Fri Dec 25 2015 Jakub Bogusz <qboosh@pld-linux.org> e2ef4fd
- updated to 3.10.6
- restore quvi support (based on libquvi 0.9.x now)

* Thu Aug 06 2015 Jan Rękorajski <baggins@pld-linux.org> 0d796a2
- release 2 (by relup.sh)

* Thu Aug 06 2015 Jan Rękorajski <baggins@pld-linux.org> 2d4d194
- bump gtk-doc BR

* Sat May 09 2015 Jakub Bogusz <qboosh@pld-linux.org> e84850c
- doesn't build with gtk-doc 1.22 due to some regression

* Fri May 08 2015 Marcin Banasiak <marcin.banasiak@gmail.com> 2764ae0
- Update to 3.10.5

* Tue Mar 24 2015 Elan Ruusamäe <glen@delfi.ee> 1ade541
- x32 rebuild
- release 2 (by relup.sh)

* Wed Feb 18 2015 Marcin Banasiak <marcin.banasiak@gmail.com> 8e33947
- Update to 3.10.4

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 476612c
- updated gettext BR

* Fri Nov 21 2014 Jakub Bogusz <qboosh@pld-linux.org> a0ec8cf
- updated to 3.10.3

* Thu Apr 03 2014 Elan Ruusamäe <glen@delfi.ee> ee9a84e
- noarch apidocs

* Thu Mar 27 2014 Marcin Banasiak <marcin.banasiak@gmail.com> db81657
- Update to 3.10.2

